Arch Barra de Refuerzo Helicoidal

From FreeCAD Documentation
Revision as of 14:49, 14 May 2018 by Bitacovir (talk | contribs) (Created page with "# Crear un elemento structure # Seleccione cualquier cara de la estructura # A continuación, seleccione {{KEY | 16px...")

Arch Rebar Helical

Menu location
Arch → Rebar tools
Workbenches
Arch
Default shortcut
None
See also
Arch Rebar
 
This command is part of the Reinforcement AddOn, that you can install via menu Tools → Addons Manager

Descripción

La herramienta Helical Rebar permite al usuario crear una barra de refuerzo helicoidal en el elemento estructural.

Como utilizar

  1. Crear un elemento structure
  2. Seleccione cualquier cara de la estructura
  3. A continuación, seleccione Helical Rebar desde las herramientas de la barra de refuerzo
  4. Aparecerá un panel de tareas en el lado izquierdo de la pantalla como se muestra a continuación
  5. Seleccione la orientación deseada
  6. Proporcione las entradas como la cubierta frontal, la cubierta lateral derecha, la cubierta lateral izquierda, la cubierta inferior y el diámetro de la barra de refuerzo
  7. Seleccione el modo de distribución, ya sea cantidad o espaciado
  8. Si se selecciona el espaciado, un usuario también puede optar por espaciado personalizado
  9. La selección de la cara seleccionada se usa para verificar o cambiar la cara de la distribución de barras de refuerzo
  10. Haga clic en OK o Apply para generar las barras de refuerzo
  11. Haga clic en Cancel para salir del panel de tareas

Properties

  • DatosSide Cover: The distance between rebar to the curved face.
  • DatosTop Cover: The distance between rebar from the top face of the structure.
  • DatosBottom Cover: The distance between rebar from the bottom face of the structure.
  • DatosPitch: The pitch of a helix is the height of one complete helix turn, measured parallel to the axis of the helix.
  • DatosDiameter: Diameter of the rebar.

Scripting

The Helical Rebar tool can by used in macros and from the python console by using the following function:

makeHelicalRebar(SideCover, BottomCover, Diameter, TopCover, Pitch, Structure, Facename)
  • Adds a Straight reinforcing bar object to the given structural object.
  • If no Structure and Facename is given, it will take user selected face as input.
  • Here CoverAlong argument is having type tuple.
  • Returns the new Rebar object.

Example:

Creating Helical rebar.

import Arch, Draft, HelicalRebar
# Creating circle
pl=FreeCAD.Placement()
pl.Rotation.Q=(0.0,-0.0,-0.0,1.0)
pl.Base=FreeCAD.Vector(-1.0,-1.0,0.0)
circle = Draft.makeCircle(radius=130.107647738,placement=pl,face=True,support=None)
Draft.autogroup(circle)
# Creating Structure element from circle
structure = Arch.makeStructure(circle)
structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()
# Creating Helical rebar
rebar = HelicalRebar.makeHelicalRebar(20, 50, 8, 50, 50, structure, "Face2")

Changing properties of Helical rebar.

import HelicalRebar
HelicalRebar.editHelicalRebar(rebar, 20, 100, 12, 100, 100)